/*
  * JBoss, Home of Professional Open Source
  * Copyright 2005, JBoss Inc., and individual contributors as indicated
  * by the @authors tag. See the copyright.txt in the distribution for a
  * full listing of individual contributors.
  *
  * This is free software; you can redistribute it and/or modify it
  * under the terms of the GNU Lesser General Public License as
  * published by the Free Software Foundation; either version 2.1 of
  * the License, or (at your option) any later version.
  *
  * This software is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  * Lesser General Public License for more details.
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this software; if not, write to the Free
  * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
  * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
  */
package org.jboss.messaging.core.tx;

/**
 * 
 * Callback interface, called at points in transaction lifecycle
 * 
 * @author <a href="mailto:tim.fox@jboss.com">Tim Fox</a>
 *
 * $Id: TxCallback.java 669 2006-02-23 17:45:59Z timfox $
 */
public interface TxCallback
{
   void beforePrepare() throws Exception;
   
   void beforeCommit(boolean onePhase) throws Exception;
   
   void beforeRollback(boolean onePhase) throws Exception;
   
   void afterPrepare() throws Exception;
   
   void afterCommit(boolean onePhase) throws Exception;
   
   void afterRollback(boolean onePhase) throws Exception;
}
