/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.test.messaging.jms.message.foreign;

import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.TextMessage;

import org.jboss.test.messaging.jms.message.SimpleJMSTextMessage;

/**
 * Tests the delivery/receipt of a foreign text message
 *
 *
 * @author <a href="mailto:a.walker@base2group.com>Aaron Walker</a>
 * @version <tt>$Revision: 757 $</tt>
 *
 * $Id: ForeignTextMessageTest.java 757 2006-03-22 02:59:28Z ovidiu $
 *
 */
public class ForeignTextMessageTest extends ForeignMessageTest
{

    public ForeignTextMessageTest(String name)
    {
        super(name);
    }

    public void setUp() throws Exception
    {
       super.setUp();
    }

    public void tearDown() throws Exception
    {
       super.tearDown();
    }

    protected Message createForeignMessage() throws Exception
    {
        SimpleJMSTextMessage m = new SimpleJMSTextMessage();
        m.setText("this is the payload");
        return m;
    }

    protected void assertEquivalent(Message m, int mode) throws JMSException
    {
       super.assertEquivalent(m, mode);

       TextMessage tm = (TextMessage)m;
       assertEquals("this is the payload", tm.getText());
    }
}
